package com.github.wxiaoqi.security.admin.constant;

/**
 * @author libin
 * @version 1.0
 * @description
 * @data 2019/10/12 14:27
 */
public enum WalletDetailTypeEnum {

    /**
     * 活动
     */
    ACTIVITY(0, "活动奖励金"),
    /**
     * 佣金
     */
    COMMISSION(1, "佣金"),
    /**
     * 会员充值
     */
    MEMBER(2, "会员充值"),
    /**
     * 提现
     */
    WITHDRAW(10, "提现"),
    /**
     * 转账
     */
    TRANSFER(11, "转账"),
    /**
     * 购买
     */
    BUY(12, "购买"),
    /**
     * 手续费
     */
    SERVICE_CHARGE(13, "手续费");

    private Integer code;
    private String desc;

    WalletDetailTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
